Request Body
| Field | Type | Need | Description | Example |
|---|---|---|---|---|
”account” | string | required | Main account wallet address | 42trU9A5… |
“signature” | string | required | Main account signature | 5j1Vy9Uq… |
“timestamp” | integer | required | Current timestamp in milliseconds | 1716200000000 |
”agent_wallet” | string | optional | Agent wallet address | 69trU9A5… |
“expiry_window” | integer | optional | Signature expiry in milliseconds | 30000 |
Response
- Status 200: Subaccounts listed successfully
| Field | Type | Description |
|---|---|---|
'address' | string | Current account balance, defined as amount of USD in account before settlement |
'balance' | decimal string | Subaccount balance in USD |
'pending_balance' | decimal string | Amount of subaccount balance in pending status (deposit request is successful, waiting on confirmation) |
'fee_level' | integer | Current fee tier of account, determined by trading volume |
'fee_mode' | string | "auto" by default |
'created_at' | integer | Creation timestamp in milliseconds |
'nickname' | string or null | Optional subaccount nickname (omitted when not set) |
- Status 400: Bad request
- Status 401: Unauthorized